Skip to main content

Control Output Connector

Required role: write or higher.

Start (resume) or pause the output connector.

The following values of the action argument are accepted: start and pause.

Output connectors can be in either the Running or Paused state. By default, connectors are initialized in the Running state when a pipeline is deployed. In this state, the connector forwards the output of its view to the configured sink. A connector can be created in the Paused state by setting its paused property to true.

A paused output connector discards the output it receives instead of sending it to its sink; output produced while the connector is paused is gone for good. The start command resumes the connector with the output the pipeline produces from that point on.

The current connector state can be retrieved via the GET /v0/pipelines/{pipeline_name}/stats endpoint.

Path Parameters
pipeline_name string REQUIRED

Unique pipeline name

view_name string REQUIRED

SQL view name

connector_name string REQUIRED

Output connector name

action string REQUIRED
Responses
200

Action has been processed

404

Pipeline, view and/or output connector with that name does not exist

Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

503
Schema OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.